Page MenuHomeFreeBSD

biology/cd-hit: update to bug-fix release 4.6.6
ClosedPublic

Authored by jrm on Oct 7 2016, 7:48 PM.

Details

Summary

biology/cd-hit: update to bug-fix release 4.6.6

Changes in version 4.6.6:
Bug fix for cd-hit-dup in variable length input when write out R1 reads

Changes in version 4.6.5:
Add filter for -aL option so that short sequences will be skipped if not satisfy
representative sequences' -aL requirement. This will make compute faster in
clustering settings where sequences in the same cluster are required to have
similar length using -aL -AL option (e.g. -aL 0.9).

Test Plan

portlint -AC: OK
testport: OK (poudriere: 9.3-RELEASE-p45, i386)
testport: OK (poudriere: 9.3-RELEASE-p45, amd64)
testport: OK (poudriere: 10.3-RELEASE-p7, i386)
testport: OK (poudriere: 10.3-RELEASE-p7, amd64
testport: OK (poudriere: 11.0-RC3, i386)
testport: OK (poudriere: 11.0-RC3, amd64)

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

jrm retitled this revision from to biology/cd-hit: update to bug-fix release 4.6.6.
jrm updated this object.
jrm edited the test plan for this revision. (Show Details)
jrm added reviewers: swills, AMDmi3.
AMDmi3 edited edge metadata.

s/post-stage/post-install/, otherwise LGTM

This revision is now accepted and ready to land.Oct 9 2016, 10:50 PM
biology/cd-hit/Makefile
33 ↗(On Diff #21165)

This should be post-install.

jrm edited edge metadata.

Use post-install instead of post-stage for stripping

This revision now requires review to proceed.Oct 12 2016, 7:47 PM
swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Oct 12 2016, 9:13 PM
jrm edited edge metadata.
jrm marked an inline comment as done.

Update to chase mat's commit that made the same change to use post-install
instead of post-stage.

This revision now requires review to proceed.Dec 18 2016, 3:52 PM
biology/cd-hit/Makefile
20 ↗(On Diff #23060)

This is not needed.

jrm edited edge metadata.

Remove PORTREVISION and WRKSRC definitions.

swills edited edge metadata.

Approved

This revision is now accepted and ready to land.Dec 20 2016, 4:34 PM
This revision was automatically updated to reflect the committed changes.
jrm marked an inline comment as done.